Subject: RE: Reflecting new-MAM/SAM definition in diff-te drafts [owner-te [email-masked] in Pass-Through List] ['from' in Pass-Through List] [own [email-masked] in Pass-Through List] ['from' in Pass-Through List]

From: "Choudhury, Sanjaya" <[email-masked]>
Date: Thu, 22 May 2003 09:30:08 -0400

> 
> Again, assuming we define LSOM as the "Link Size Overbooking 
> Multiplier"
> (as opposed to the "LSP/Link Size Overbooking Multiplier"), 
> then I agree
> with your relationship.
> 
> Thanks for helping get all this clarified.
> 
> Francois

Hi! I am not sure it is necessary to introduce the concept 
of a new multiplier ("LSOM") in DSTE-PROTO. 

Only change that should probably goto the draft is to replace
"Max Link Bw" in formulas by "Max reservable Bw", when user  
overrides the maxLinkBw (with a max reservable bw).

Here is how I understand the types of overbookings:-
1. Link size  overbooking
	-user overrides the 'max link bw' (dictated by 
	the hardware), with a larger/smaller bandwidth 
	reservable on the link, be by configuring a 
	'max reservable bw'.
	-no additional multipliers are needed 
2. LSP size overbooking
	-user reserves more/less amount of BW for the LSP
	compared to the actual amount of traffic the LSP
	is expected to carry.
	-No additional 'multipliers' are needed. The LSP
	BW follows the normal BCs based on the CTs
3. per CT overbooking
	-user specifies the LOM on a per CT per interface
	basis. LSP BW adheres to BCs dictated by the CT it
	is associated with
	-when user has overridden the 'max link bw' by 
	configuring a explicit 'max reservable bw', the 
	user specified value should be used as the upper
	limit for the link.

Reserved(CTx) vs Normalized(CTx):
If no LOM is being used, we can assume the LOM to be
1 (100% no over/underbooking). This will allows us
to use Normalized(CTx) in all the formulas (instead
of two sets -one with Reserved and the other with 
Normalized).

Thanks,
sanjay